MWAWPropertyHandlerDecoder Class Reference

## Public Member Functions

| MWAWPropertyHandlerDecoder (MWAWPropertyHandler *hdl=nullptr)
| constructor given a MWAWPropertyHandler
bool | readData (librevenge::RVNGBinaryData const &encoded)
| tries to read the data

## Protected Member Functions

bool | readInsertElement (librevenge::RVNGInputStream &input)
| reads an simple element
bool | readInsertElementWithList (librevenge::RVNGInputStream &input)
| reads an element with a property list
bool | readCharacters (librevenge::RVNGInputStream &input)
| reads a set of characters
bool | readPropertyListVector (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyListVector &vect)
| low level: reads a property vector: number of properties list followed by list of properties list
bool | readPropertyList (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &lists)
| low level: reads a property list: number of properties followed by list of properties
bool | readProperty (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &list)
| low level: reads a property and its value, adds it to list
bool | readString (librevenge::RVNGInputStream &input, librevenge::RVNGString &s)
| low level: reads a string : size and string

## Static Protected Member Functions

static bool | readLong (librevenge::RVNGInputStream &input, long &val)
| low level: reads an long value

## Protected Attributes

MWAWPropertyHandler * | m_handler
| the streamfile

## Private Member Functions

| MWAWPropertyHandlerDecoder (MWAWPropertyHandlerDecoder const &orig)=delete
MWAWPropertyHandlerDecoder & | operator= (MWAWPropertyHandlerDecoder const &)=delete

## Constructor & Destructor Documentation

## MWAWPropertyHandlerDecoder() [1/2]

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandler * | hdl = nullptr | ) |

inline explicit

constructor given a MWAWPropertyHandler

Referenced by MWAWPropertyHandlerDecoder(), and operator=().

## MWAWPropertyHandlerDecoder() [2/2]

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandlerDecoder const & | orig | ) |

private delete

## Member Function Documentation

## operator=()

MWAWPropertyHandlerDecoder & MWAWPropertyHandlerDecoder::operator= | ( | MWAWPropertyHandlerDecoder const & |  | ) |

private delete

## readCharacters()

bool MWAWPropertyHandlerDecoder::readCharacters | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads a set of characters

Referenced by readData().

## readData()

bool MWAWPropertyHandlerDecoder::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

inline

tries to read the data

Referenced by MWAWPropertyHandler::checkData(), and MWAWPropertyHandler::readData().

## readInsertElement()

bool MWAWPropertyHandlerDecoder::readInsertElement | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads an simple element

Referenced by readData().

## readInsertElementWithList()

bool MWAWPropertyHandlerDecoder::readInsertElementWithList | ( | librevenge::RVNGInputStream & | input | ) |

inline protected

reads an element with a property list

Referenced by readData().

## readLong()

bool MWAWPropertyHandlerDecoder::readLong | ( | librevenge::RVNGInputStream & | input,
|  | long & | val )

inline static protected

low level: reads an long value

Referenced by readPropertyList(), readPropertyListVector(), and readString().

## readProperty()

bool MWAWPropertyHandlerDecoder::readProperty | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | list )

inline protected

low level: reads a property and its value, adds it to list

Referenced by readPropertyList().

## readPropertyList()

bool MWAWPropertyHandlerDecoder::readPropertyList | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | lists )

inline protected

low level: reads a property list: number of properties followed by list of properties

Referenced by readInsertElementWithList(), and readPropertyListVector().

## readPropertyListVector()

bool MWAWPropertyHandlerDecoder::readPropertyListVector | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyListVector & | vect )

inline protected

low level: reads a property vector: number of properties list followed by list of properties list

Referenced by readPropertyList().

## readString()

bool MWAWPropertyHandlerDecoder::readString | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGString & | s )

inline protected

low level: reads a string : size and string

Referenced by readCharacters(), readInsertElement(), readInsertElementWithList(), readProperty(), and readPropertyList().

## Member Data Documentation

## m_handler

MWAWPropertyHandler* MWAWPropertyHandlerDecoder::m_handler

protected

the streamfile

Referenced by MWAWPropertyHandlerDecoder(), readCharacters(), readInsertElement(), and readInsertElementWithList().

The documentation for this class was generated from the following file:

- MWAWPropertyHandler.cxx